package org.opensourcephysics.tuleja.energydisplay;
import org.opensourcephysics.numerics.*;
/**
 * <p>Title: Energy display</p>
 * <p>Description: One dimensional motion of a particle with energy E in a potential</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Slavomir Tuleja
 * @version 1.0
 */

public class PotentialEnergyDerivative implements Function {
  Function U;
  public PotentialEnergyDerivative(Function U){
    this.U=U;
  }

  public double evaluate (double x){
    return Derivative.centered(this.U,x,0.001);
  }
}

